import { p as push, e as ensure_array_like, c as pop } from './index2-D-YXuInl.js';
import { e as escape_html } from './escaping-CqgfEcN3.js';

const replacements = {
  translate: /* @__PURE__ */ new Map([
    [true, "yes"],
    [false, "no"]
  ])
};
function attr(name, value, is_boolean = false) {
  if (value == null || !value && is_boolean || value === "" && name === "class") return "";
  const normalized = name in replacements && replacements[name].get(value) || value;
  const assignment = is_boolean ? "" : `="${escape_html(normalized, true)}"`;
  return ` ${name}${assignment}`;
}
function _page($$payload, $$props) {
  push();
  let source = "youtube";
  let link = "";
  const formats = [{ value: "mp3", label: "MP3" }];
  const each_array = ensure_array_like(formats);
  $$payload.out += `<div id="wrapper" class="relative mx-auto rounded-lg bg-black p-6 text-green-500 shadow-lg sm:max-w-sm sm:border-4 sm:border-green-500 md:mt-10 md:max-w-md lg:max-w-lg 2xl:max-w-2xl svelte-1lr5kvb"><button class="absolute top-3 right-3 text-pink-500 transition hover:text-pink-300 svelte-1lr5kvb" aria-label="Open Info Modal"><svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" class="h-6 w-6 svelte-1lr5kvb" viewBox="0 0 24 24"><path d="M12 0C5.373 0 0 5.373 0 12c0 6.627 5.373 12 12 12s12-5.373 12-12C24 5.373 18.627 0 12 0zm.75 18h-1.5v-6h1.5v6zm0-8h-1.5V8h1.5v2z" class="svelte-1lr5kvb"></path></svg></button> <h1 id="title" class="mb-6 text-center text-xl svelte-1lr5kvb">🐙 Scaricatore 🐙</h1> <form class="space-y-6 svelte-1lr5kvb"><fieldset class="space-y-4 svelte-1lr5kvb"><legend class="text-green-400 svelte-1lr5kvb">Choose Source:</legend> <label class="flex items-center space-x-3 svelte-1lr5kvb"><input type="radio" name="source" value="youtube"${attr("checked", source === "youtube", true)} class="retro-radio svelte-1lr5kvb"> <span class="svelte-1lr5kvb">YouTube</span></label> <label class="flex items-center space-x-3 svelte-1lr5kvb"><input disabled type="radio" name="source" value="spotify"${attr("checked", source === "spotify", true)} class="retro-radio svelte-1lr5kvb"> <span class="not-available svelte-1lr5kvb">Spotify</span></label> <label class="flex items-center space-x-3 svelte-1lr5kvb"><input type="radio" name="source" value="other"${attr("checked", source === "other", true)} class="retro-radio svelte-1lr5kvb"> <span class="svelte-1lr5kvb">Other (<a href="https://github.com/yt-dlp/yt-dlp/blob/master/supportedsites.md" target="_blank" rel="noopener noreferrer" class="text-pink-500 hover:underline svelte-1lr5kvb">supported sites</a>)</span></label></fieldset> <div class="svelte-1lr5kvb"><label for="link" class="mb-2 block text-green-400 svelte-1lr5kvb">Enter Playlist or Video Link:</label> <input name="link" type="url" id="link"${attr("value", link)} required placeholder="Paste your link here" class="w-full rounded-lg border-4 border-green-500 bg-green-200 px-4 py-3 text-black focus:border-pink-500 focus:outline-none svelte-1lr5kvb"></div> <div class="svelte-1lr5kvb"><label for="format" class="mb-2 block text-green-400 svelte-1lr5kvb">Choose Format:</label> <select id="format" name="format" class="w-full rounded-lg border-4 border-green-500 bg-green-200 px-4 py-3 text-black focus:border-pink-500 focus:outline-none svelte-1lr5kvb"><!--[-->`;
  for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
    let format = each_array[$$index];
    $$payload.out += `<option${attr("value", format.value)} class="svelte-1lr5kvb">${escape_html(format.label)}</option>`;
  }
  $$payload.out += `<!--]--></select></div> <button type="submit" class="w-full rounded-lg border-4 border-pink-700 bg-pink-500 px-4 py-3 text-black transition hover:bg-pink-600 active:border-yellow-500 svelte-1lr5kvb">Create download link</button> `;
  {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--></form></div> `;
  {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]-->`;
  pop();
}

export { _page as default };
//# sourceMappingURL=_page.svelte-HS4ZFtD1.js.map
